Subject: bug#2608: 23.0.90; `w32-use-visible-system-carat' should be a defcustom

From: "Drew Adams" <[email-masked]>
Date: Tue, 10 Mar 2009 08:01:06 -0700

> From: Jason Rumney Sent: Tuesday, March 10, 2009 7:50 AM
> > A visually impaired new Emacs user just asked a question about this
> > variable on [email-masked]. I had never heard of this
> > variable. I see now that it is a defvar, even though it seems to be
> > documented as a user "flag". Seems like it should be a defcustom.
> >   
> 
> It was originally intended as a user option, but code was added to 
> automatically set it according to whether screen reading 
> software is in use. So it should just do the right thing.
> Documentation probably needs updating to reflect that, and the
> fact that it is only useful for screen reading software, as the
> user seems to have gotten the idea that it might help them even
> though they don't use such software - in fact Emacs 
> drawn cursors are far more useful, as they can be configured 
> to be more or less visible as the user requires.

I see. Yes, I think clarifying this in the doc would help. And perhaps add a
link to a manual section about customizing the cursor, for people such as the OP
who don't use screenreaders.

Beyond this bug fix, perhaps it would be useful to add a top-level Emacs-manual
section about Accessibility (aka help for the disabled) with links to pertinent
sections of the manual that might be of special help.

CC'ing the OP.

Thx - Drew.